package agences.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/gestionSupermarche/Agences/Agences/src/agences/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::AgenceException
 * <li> <b>Repository Id</b> IDL:supermarche/AgenceException:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * exception AgenceException {
  ...
};
 * </pre>
 */
public final class AgenceException extends org.omg.CORBA.UserException {
  
  public java.lang.String raison;

  public AgenceException () {
    super(agences.supermarche.AgenceExceptionHelper.id());
  }

  public AgenceException (java.lang.String raison) {
    this();
    this.raison = raison;
  }

  public AgenceException (java.lang.String _reason, java.lang.String raison) {
    super(agences.supermarche.AgenceExceptionHelper.id() + ' ' + _reason);
    this.raison = raison;
  }

  public java.lang.String toString () {
    final java.lang.StringBuffer _ret = new java.lang.StringBuffer("exception agences.supermarche.AgenceException {");
    _ret.append("\n");
    _ret.append("java.lang.String raison=");
    _ret.append(raison != null?'\"' + raison + '\"':null);
    _ret.append("\n");
    _ret.append("}");
    return _ret.toString();
  }

  public boolean equals (java.lang.Object o) {
    if (this == o) return true;
    if (o == null) return false;
    if (o instanceof agences.supermarche.AgenceException) {
      final agences.supermarche.AgenceException obj = (agences.supermarche.AgenceException)o;
      boolean res = true;
      do {
        res = this.raison == obj.raison ||
         (this.raison != null && obj.raison != null && this.raison.equals(obj.raison));
      } while (false);
      return res;
    }
    else {
      return false;
    }
  }
}
