package gererstocks.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/gestionSupermarche/GererStocks/GererStocks/src/gererstocks/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::GererAccesProduits
 * <li> <b>Repository Id</b> IDL:supermarche/GererAccesProduits:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface GererAccesProduits {
  ...
};
 * </pre>
 */
public interface GererAccesProduitsOperations {
  /**
   * <pre>
   *   readonly attribute gererstocks.supermarche.listeAccesProduits listeAP;
   * </pre>
   */
  public gererstocks.supermarche.AccesProduits[] listeAP ();

  /**
   * <pre>
   *   gererstocks.supermarche.AccesProduits creer (in string agence)
    raises (gererstocks.supermarche.GererAccesProduitsException);
   * </pre>
   */
  public gererstocks.supermarche.AccesProduits creer (java.lang.String agence) throws gererstocks.supermarche.GererAccesProduitsException;

  /**
   * <pre>
   *   void supprimer (in string agence)
    raises (gererstocks.supermarche.GererAccesProduitsException);
   * </pre>
   */
  public void supprimer (java.lang.String agence) throws gererstocks.supermarche.GererAccesProduitsException;

  /**
   * <pre>
   *   gererstocks.supermarche.AccesProduits rechercher (in string agence)
    raises (gererstocks.supermarche.GererAccesProduitsException);
   * </pre>
   */
  public gererstocks.supermarche.AccesProduits rechercher (java.lang.String agence) throws gererstocks.supermarche.GererAccesProduitsException;

}
