package gereraccesproduits.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/gestionSupermarche/gererAccesProduits/GererAccesProduits/src/gereraccesproduits/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::GererEmployes
 * <li> <b>Repository Id</b> IDL:supermarche/GererEmployes:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface GererEmployes {
  ...
};
 * </pre>
 */
public class GererEmployesPOATie extends GererEmployesPOA {
  private gereraccesproduits.supermarche.GererEmployesOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public GererEmployesPOATie (final gereraccesproduits.supermarche.GererEmployesOperations _delegate) {
    this._delegate = _delegate;
  }

  public GererEmployesPOATie (final gereraccesproduits.supermarche.GererEmployesOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public gereraccesproduits.supermarche.GererEmployesOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final gereraccesproduits.supermarche.GererEmployesOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   readonly attribute gereraccesproduits.supermarche.listeEmployes listeE;
   * </pre>
   */
  public gereraccesproduits.supermarche.Employe[] listeE () {
    return this._delegate.listeE();
  }

  /**
   * <pre>
   *   void creer (in string login, in string password, in string droit)
    raises (gereraccesproduits.supermarche.GererEmployesException);
   * </pre>
   */
  public void creer (java.lang.String login, 
                     java.lang.String password, 
                     java.lang.String droit) throws  gereraccesproduits.supermarche.GererEmployesException {
    this._delegate.creer(login, password, droit);
  }

  /**
   * <pre>
   *   void creerE (in gereraccesproduits.supermarche.Employe e)
    raises (gereraccesproduits.supermarche.GererEmployesException);
   * </pre>
   */
  public void creerE (gereraccesproduits.supermarche.Employe e) throws  gereraccesproduits.supermarche.GererEmployesException {
    this._delegate.creerE(e);
  }

  /**
   * <pre>
   *   void modifier (in string login, in string password, in string droit)
    raises (gereraccesproduits.supermarche.GererEmployesException);
   * </pre>
   */
  public void modifier (java.lang.String login, 
                        java.lang.String password, 
                        java.lang.String droit) throws  gereraccesproduits.supermarche.GererEmployesException {
    this._delegate.modifier(login, password, droit);
  }

  /**
   * <pre>
   *   void modifierE (in gereraccesproduits.supermarche.Employe e)
    raises (gereraccesproduits.supermarche.GererEmployesException);
   * </pre>
   */
  public void modifierE (gereraccesproduits.supermarche.Employe e) throws  gereraccesproduits.supermarche.GererEmployesException {
    this._delegate.modifierE(e);
  }

  /**
   * <pre>
   *   void supprimer (in string login)
    raises (gereraccesproduits.supermarche.GererEmployesException);
   * </pre>
   */
  public void supprimer (java.lang.String login) throws  gereraccesproduits.supermarche.GererEmployesException {
    this._delegate.supprimer(login);
  }

  /**
   * <pre>
   *   void supprimerE (in gereraccesproduits.supermarche.Employe e)
    raises (gereraccesproduits.supermarche.GererEmployesException);
   * </pre>
   */
  public void supprimerE (gereraccesproduits.supermarche.Employe e) throws  gereraccesproduits.supermarche.GererEmployesException {
    this._delegate.supprimerE(e);
  }

  /**
   * <pre>
   *   gereraccesproduits.supermarche.Employe rechercher (in string login)
    raises (gereraccesproduits.supermarche.GererEmployesException);
   * </pre>
   */
  public gereraccesproduits.supermarche.Employe rechercher (java.lang.String login) throws  gereraccesproduits.supermarche.GererEmployesException {
    return this._delegate.rechercher(login);
  }

  /**
   * <pre>
   *   gereraccesproduits.supermarche.Employe rechercherE (in gereraccesproduits.supermarche.Employe e)
    raises (gereraccesproduits.supermarche.GererEmployesException);
   * </pre>
   */
  public gereraccesproduits.supermarche.Employe rechercherE (gereraccesproduits.supermarche.Employe e) throws  gereraccesproduits.supermarche.GererEmployesException {
    return this._delegate.rechercherE(e);
  }

}
