package gereraccesproduits.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/gestionSupermarche/gererAccesProduits/GererAccesProduits/src/gereraccesproduits/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::GererStocks
 * <li> <b>Repository Id</b> IDL:supermarche/GererStocks:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface GererStocks {
  ...
};
 * </pre>
 */
public class GererStocksPOATie extends GererStocksPOA {
  private gereraccesproduits.supermarche.GererStocksOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public GererStocksPOATie (final gereraccesproduits.supermarche.GererStocksOperations _delegate) {
    this._delegate = _delegate;
  }

  public GererStocksPOATie (final gereraccesproduits.supermarche.GererStocksOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public gereraccesproduits.supermarche.GererStocksOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final gereraccesproduits.supermarche.GererStocksOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   readonly attribute gereraccesproduits.supermarche.listeStocks listeS;
   * </pre>
   */
  public gereraccesproduits.supermarche.Stock[] listeS () {
    return this._delegate.listeS();
  }

  /**
   * <pre>
   *   void creer (in string codeBarre, in long qte)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void creer (java.lang.String codeBarre, 
                     int qte) throws  gereraccesproduits.supermarche.GererStocksException {
    this._delegate.creer(codeBarre, qte);
  }

  /**
   * <pre>
   *   void creerS (in gereraccesproduits.supermarche.Stock s)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void creerS (gereraccesproduits.supermarche.Stock s) throws  gereraccesproduits.supermarche.GererStocksException {
    this._delegate.creerS(s);
  }

  /**
   * <pre>
   *   void incrementer (in string codeBarre, in long qte)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void incrementer (java.lang.String codeBarre, 
                           int qte) throws  gereraccesproduits.supermarche.GererStocksException {
    this._delegate.incrementer(codeBarre, qte);
  }

  /**
   * <pre>
   *   void incrementerS (in gereraccesproduits.supermarche.Stock s)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void incrementerS (gereraccesproduits.supermarche.Stock s) throws  gereraccesproduits.supermarche.GererStocksException {
    this._delegate.incrementerS(s);
  }

  /**
   * <pre>
   *   void decrementer (in string codeBarre, in long qte)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void decrementer (java.lang.String codeBarre, 
                           int qte) throws  gereraccesproduits.supermarche.GererStocksException {
    this._delegate.decrementer(codeBarre, qte);
  }

  /**
   * <pre>
   *   void decrementerS (in gereraccesproduits.supermarche.Stock s)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void decrementerS (gereraccesproduits.supermarche.Stock s) throws  gereraccesproduits.supermarche.GererStocksException {
    this._delegate.decrementerS(s);
  }

  /**
   * <pre>
   *   gereraccesproduits.supermarche.Stock rechercher (in string codeBarre)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public gereraccesproduits.supermarche.Stock rechercher (java.lang.String codeBarre) throws  gereraccesproduits.supermarche.GererStocksException {
    return this._delegate.rechercher(codeBarre);
  }

  /**
   * <pre>
   *   gereraccesproduits.supermarche.Stock rechercherS (in gereraccesproduits.supermarche.Stock s)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public gereraccesproduits.supermarche.Stock rechercherS (gereraccesproduits.supermarche.Stock s) throws  gereraccesproduits.supermarche.GererStocksException {
    return this._delegate.rechercherS(s);
  }

}
