package gestionsupermarche.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "D:/miage_dess/CORBA/gestionSupermarche/gestionSupermarche/src/gestionsupermarche/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::AccesProduits
 * <li> <b>Repository Id</b> IDL:supermarche/AccesProduits:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface AccesProduits {
  ...
};
 * </pre>
 */
public class AccesProduitsPOATie extends AccesProduitsPOA {
  private gestionsupermarche.supermarche.AccesProduitsOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public AccesProduitsPOATie (final gestionsupermarche.supermarche.AccesProduitsOperations _delegate) {
    this._delegate = _delegate;
  }

  public AccesProduitsPOATie (final gestionsupermarche.supermarche.AccesProduitsOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public gestionsupermarche.supermarche.AccesProduitsOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final gestionsupermarche.supermarche.AccesProduitsOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   readonly attribute string nomObjet;
   * </pre>
   */
  public java.lang.String nomObjet () {
    return this._delegate.nomObjet();
  }

  /**
   * <pre>
   *   gestionsupermarche.supermarche.Produit rechercher (in string codeBarre)
    raises (gestionsupermarche.supermarche.AccesProduitsException);
   * </pre>
   */
  public gestionsupermarche.supermarche.Produit rechercher (java.lang.String codeBarre) throws  gestionsupermarche.supermarche.AccesProduitsException {
    return this._delegate.rechercher(codeBarre);
  }

  /**
   * <pre>
   *   gestionsupermarche.supermarche.Produit rechercherP (in gestionsupermarche.supermarche.Produit p)
    raises (gestionsupermarche.supermarche.AccesProduitsException);
   * </pre>
   */
  public gestionsupermarche.supermarche.Produit rechercherP (gestionsupermarche.supermarche.Produit p) throws  gestionsupermarche.supermarche.AccesProduitsException {
    return this._delegate.rechercherP(p);
  }

}
