package ihm;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author
 * @version 1.0
 */

import java.util.Enumeration;
import java.util.Vector;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import javax.swing.text.*;
import javax.swing.event.*;
import javax.swing.border.*;

public class InterfaceAgencesEtatsCaissier extends JPanel
   implements ActionListener, DocumentListener {

  static final String emplacement__ = "ihm.InterfaceAgencesEtatsCaissier";
  JLabel lblTitre = new JLabel();
  JLabel lblMontant = new JLabel();
  JTextField txtMontant = new JTextField();

  /**
   * Contructeur
   */
  public InterfaceAgencesEtatsCaissier() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }


  /**
   * gestion des actions de l'utilisateur
   */
   public void actionPerformed(ActionEvent evt){
    try {
       java.lang.Object source = evt.getSource();
    }
    catch(Exception e) {
      handleException(e);
    }
   }

   public void insertUpdate(DocumentEvent e){
   }
   public void removeUpdate(DocumentEvent e){
   }
   public void changedUpdate(DocumentEvent e){
   }

  private void jbInit() throws Exception {
    lblTitre.setFont(new java.awt.Font("Dialog", 1, 14));
    lblTitre.setHorizontalAlignment(SwingConstants.CENTER);
    lblTitre.setText("Total ventes caissier");
    lblTitre.setBounds(new Rectangle(2, 2, 398, 29));
    this.setLayout(null);
    lblMontant.setText("Montant :");
    lblMontant.setBounds(new Rectangle(12, 62, 82, 25));
    txtMontant.setBackground(SystemColor.text);
    txtMontant.setEnabled(false);
    txtMontant.setBounds(new Rectangle(118, 57, 246, 32));
    this.add(lblTitre, null);
    this.add(txtMontant, null);
    this.add(lblMontant, null);


  }

  /**
   * Affiche l'erreur passe en paramtre dans une boite de dialogue
   */
  private final void handleException(Exception ex) {
    JOptionPane.showMessageDialog(
                       this,
                       "Description : " +ex.toString()+"\n"+
                       "Message : "+ex.getMessage()+"\n"+
                       "Emplacement : "+emplacement__,
                       "Erreur",
                       JOptionPane.ERROR_MESSAGE);
  }

  /**
   * Valorise les paramtres avec les valeurs des champs de l'cran
   */
  public void data2Ihm(double m) {
    try{
      txtMontant.setText((new Double(m)).toString());
    }
    catch(Exception e) {
      handleException(e);
    }
  }

  /**
   * Remet  zero le champ de saisie
   */
  public void clear() {
    try{
      txtMontant.setText("");
    }
    catch(Exception e) {
      handleException(e);
    }
  }
}