package ihm;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author
 * @version 1.0
 */

import java.util.Enumeration;
import java.util.Vector;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import javax.swing.text.*;
import javax.swing.event.*;
import javax.swing.border.*;

public class InterfaceAgencesFichierDeconnecter extends JPanel
   implements ActionListener, DocumentListener {

  static final String emplacement__ = "ihm.InterfaceAgencesFichierDeconnecter";
  JLabel lblTitre = new JLabel();
  JLabel lblLogin = new JLabel();
  JTextField txtConnecter = new JTextField();
  JLabel lblPassword = new JLabel();
  JPasswordField txtPassword = new JPasswordField();

  /**
   * Contructeur
   */
  public InterfaceAgencesFichierDeconnecter() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }


  /**
   * gestion des actions de l'utilisateur
   */
   public void actionPerformed(ActionEvent evt){
    try {
       java.lang.Object source = evt.getSource();
    }
    catch(Exception e) {
      handleException(e);
    }
   }

   public void insertUpdate(DocumentEvent e){
   }
   public void removeUpdate(DocumentEvent e){
   }
   public void changedUpdate(DocumentEvent e){
   }

  private void jbInit() throws Exception {
    lblTitre.setFont(new java.awt.Font("Dialog", 1, 14));
    lblTitre.setHorizontalAlignment(SwingConstants.CENTER);
    lblTitre.setText("Deconnexion");
    lblTitre.setBounds(new Rectangle(2, 2, 398, 29));
    this.setLayout(null);
    lblLogin.setText("Login :");
    lblLogin.setBounds(new Rectangle(9, 51, 102, 36));
    txtConnecter.setBounds(new Rectangle(118, 53, 246, 35));
    lblPassword.setText("Password :");
    lblPassword.setBounds(new Rectangle(9, 112, 82, 25));
    txtPassword.setBounds(new Rectangle(119, 106, 247, 34));
    this.add(lblTitre, null);
    this.add(lblLogin, null);
    this.add(lblPassword, null);
    this.add(txtConnecter, null);
    this.add(txtPassword, null);


  }

  /**
   * Affiche l'erreur passe en paramtre dans une boite de dialogue
   */
  private final void handleException(Exception ex) {
    JOptionPane.showMessageDialog(
                       this,
                       "Description : " +ex.toString()+"\n"+
                       "Message : "+ex.getMessage()+"\n"+
                       "Emplacement : "+emplacement__,
                       "Erreur",
                       JOptionPane.ERROR_MESSAGE);
  }

  /**
   * Valorise les paramtres avec les valeurs des champs de l'cran
   */
  public Vector ihm2Data() {
    try{
      Vector data = new Vector();
      data.addElement(new String(txtConnecter.getText()));
      data.addElement(new String(txtPassword.getText()));
      return data;
    }
    catch(Exception e) {
      handleException(e);
      return null;
    }
  }

  /**
   * Remet  zero le champ de saisie
   */
  public void clear() {
    try{
      txtConnecter.setText("");
      txtPassword.setText("");
    }
    catch(Exception e) {
      handleException(e);
    }
  }
}