package ihm;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author
 * @version 1.0
 */

import java.util.Enumeration;
import java.util.Vector;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import javax.swing.text.*;
import javax.swing.event.*;
import javax.swing.border.*;

public class InterfaceAgencesVenteCompliquee extends JPanel
   implements ActionListener, DocumentListener {

  static final String emplacement__ = "ihm.InterfaceAgencesVenteCompliquee";
  JLabel lblTitre = new JLabel();
  JLabel lblCodeBarre = new JLabel();
  JTextField txtCodeBarre = new JTextField();
  JLabel lblQte = new JLabel();
  JTextField txtQte = new JTextField();

  /**
   * Contructeur
   */
  public InterfaceAgencesVenteCompliquee() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }


  /**
   * gestion des actions de l'utilisateur
   */
   public void actionPerformed(ActionEvent evt){
    try {
       java.lang.Object source = evt.getSource();
    }
    catch(Exception e) {
      handleException(e);
    }
   }

   public void insertUpdate(DocumentEvent e){
   }
   public void removeUpdate(DocumentEvent e){
   }
   public void changedUpdate(DocumentEvent e){
   }

  private void jbInit() throws Exception {
    lblTitre.setFont(new java.awt.Font("Dialog", 1, 14));
    lblTitre.setHorizontalAlignment(SwingConstants.CENTER);
    lblTitre.setText("Vente de plusieurs units d\'un produit");
    lblTitre.setBounds(new Rectangle(2, 2, 398, 29));
    this.setLayout(null);
    lblCodeBarre.setText("Code barre :");
    lblCodeBarre.setBounds(new Rectangle(9, 51, 102, 36));
    txtCodeBarre.setBounds(new Rectangle(118, 53, 246, 35));
    lblQte.setText("Quantit :");
    lblQte.setBounds(new Rectangle(9, 112, 82, 25));
    txtQte.setBounds(new Rectangle(118, 110, 246, 32));
    this.add(lblTitre, null);
    this.add(lblCodeBarre, null);
    this.add(lblQte, null);
    this.add(txtQte, null);
    this.add(txtCodeBarre, null);


  }

  /**
   * Affiche l'erreur passe en paramtre dans une boite de dialogue
   */
  private final void handleException(Exception ex) {
    JOptionPane.showMessageDialog(
                       this,
                       "Description : " +ex.toString()+"\n"+
                       "Message : "+ex.getMessage()+"\n"+
                       "Emplacement : "+emplacement__,
                       "Erreur",
                       JOptionPane.ERROR_MESSAGE);
  }

  /**
   * Valorise les paramtres avec les valeurs des champs de l'cran
   */
  public Vector ihm2Data() {
    try{
      Vector data = new Vector();
      data.addElement(new String(txtCodeBarre.getText()));
      data.addElement(new String(txtQte.getText()));
      return data;
    }
    catch(Exception e) {
      handleException(e);
      return null;
    }
  }

  /**
   * Remet  zero le champ de saisie
   */
  public void clear() {
    try{
      txtCodeBarre.setText("");
      txtQte.setText("");
    }
    catch(Exception e) {
      handleException(e);
    }
  }
}