package ihm;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author
 * @version 1.0
 */

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import javax.swing.text.*;
import javax.swing.event.*;
import javax.swing.border.*;

public class InterfaceGererStocksAgencesIncrementer extends JPanel
   implements ActionListener, DocumentListener {

  static final String emplacement__ = "ihm.InterfaceGererStocksAgencesIncrementer";
  JLabel lblTitre = new JLabel();
  JLabel lblCodeBarre = new JLabel();
  JTextField txtCodeBarre = new JTextField();
  JLabel lblQte = new JLabel();
  JTextField txtQte = new JTextField();
  JLabel lblAgence = new JLabel();
  public JComboBox cmbAgence = new JComboBox();
  Hashtable listeGererStocks;

  /**
   * Contructeur
   */
  public InterfaceGererStocksAgencesIncrementer(Hashtable pListeGererStocks) {
    try {
      listeGererStocks = pListeGererStocks;
      setListesDeroulantes();
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }


  /**
   * gestion des actions de l'utilisateur
   */
   public void actionPerformed(ActionEvent evt){
    try {
       java.lang.Object source = evt.getSource();
    }
    catch(Exception e) {
      handleException(e);
    }
   }

   public void insertUpdate(DocumentEvent e){
   }
   public void removeUpdate(DocumentEvent e){
   }
   public void changedUpdate(DocumentEvent e){
   }

  private void jbInit() throws Exception {
    lblTitre.setFont(new java.awt.Font("Dialog", 1, 14));
    lblTitre.setHorizontalAlignment(SwingConstants.CENTER);
    lblTitre.setText("Incrmentation de stocks dans les agences");
    lblTitre.setBounds(new Rectangle(2, 2, 398, 29));
    this.setLayout(null);
    lblCodeBarre.setText("Code barre :");
    lblCodeBarre.setBounds(new Rectangle(3, 101, 102, 36));
    txtCodeBarre.setBounds(new Rectangle(115, 104, 246, 35));
    lblQte.setText("Quantit :");
    lblQte.setBounds(new Rectangle(6, 156, 82, 25));
    txtQte.setBounds(new Rectangle(115, 155, 246, 32));
    lblAgence.setText("Agence :");
    lblAgence.setBounds(new Rectangle(6, 55, 84, 32));
    cmbAgence.setBounds(new Rectangle(112, 58, 249, 32));
    this.add(lblTitre, null);
    this.add(txtQte, null);
    this.add(lblQte, null);
    this.add(lblCodeBarre, null);
    this.add(txtCodeBarre, null);
    this.add(lblAgence, null);
    this.add(cmbAgence, null);


  }

  /**
   * Affiche l'erreur passe en paramtre dans une boite de dialogue
   */
  private final void handleException(Exception ex) {
    JOptionPane.showMessageDialog(
                       this,
                       "Description : " +ex.toString()+"\n"+
                       "Message : "+ex.getMessage()+"\n"+
                       "Emplacement : "+emplacement__,
                       "Erreur",
                       JOptionPane.ERROR_MESSAGE);
  }

  /**
   * Valorise les paramtres avec les valeurs des champs de l'cran
   */
  public Vector ihm2Data() {
    try{
      Vector data = new Vector();
      data.addElement(cmbAgence.getItemAt(cmbAgence.getSelectedIndex()));
      data.addElement(new String(txtCodeBarre.getText()));
      data.addElement(new String(txtQte.getText()));
      return data;
    }
    catch(Exception e) {
      handleException(e);
      return null;
    }
  }

  /**
   * Valorise les valeurs des champs de l'cran avec les donnees en entree
   */
  public void data2Ihm(String qte) {
    try{
      txtQte.setText(qte);
    }
    catch(Exception e) {
      handleException(e);
    }
  }

  /**
   * Remet  zero le champ de saisie
   */
  public void clear() {
    try{
      txtCodeBarre.setText("");
      txtQte.setText("");
    }
    catch(Exception e) {
      handleException(e);
    }
  }

    /**
    * Remplit la liste droulante
    */
   private void setListesDeroulantes() {
    try{
      Enumeration parcours = listeGererStocks.keys();
      while(parcours.hasMoreElements()) {
        cmbAgence.addItem(parcours.nextElement());
      }
    }
    catch(Exception e) {
      handleException(e);
    }
  }
}