package siege.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "D:/miage_dess/CORBA/gestionSupermarche/siege/siege/src/siege/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::AccesProduits
 * <li> <b>Repository Id</b> IDL:supermarche/AccesProduits:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface AccesProduits {
  ...
};
 * </pre>
 */
public class AccesProduitsPOATie extends AccesProduitsPOA {
  private siege.supermarche.AccesProduitsOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public AccesProduitsPOATie (final siege.supermarche.AccesProduitsOperations _delegate) {
    this._delegate = _delegate;
  }

  public AccesProduitsPOATie (final siege.supermarche.AccesProduitsOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public siege.supermarche.AccesProduitsOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final siege.supermarche.AccesProduitsOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   readonly attribute string nomObjet;
   * </pre>
   */
  public java.lang.String nomObjet () {
    return this._delegate.nomObjet();
  }

  /**
   * <pre>
   *   siege.supermarche.Produit rechercher (in string codeBarre)
    raises (siege.supermarche.AccesProduitsException);
   * </pre>
   */
  public siege.supermarche.Produit rechercher (java.lang.String codeBarre) throws  siege.supermarche.AccesProduitsException {
    return this._delegate.rechercher(codeBarre);
  }

  /**
   * <pre>
   *   siege.supermarche.Produit rechercherP (in siege.supermarche.Produit p)
    raises (siege.supermarche.AccesProduitsException);
   * </pre>
   */
  public siege.supermarche.Produit rechercherP (siege.supermarche.Produit p) throws  siege.supermarche.AccesProduitsException {
    return this._delegate.rechercherP(p);
  }

}
