package siege.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "D:/miage_dess/CORBA/gestionSupermarche/siege/siege/src/siege/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::GererStocks
 * <li> <b>Repository Id</b> IDL:supermarche/GererStocks:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface GererStocks {
  ...
};
 * </pre>
 */
public class GererStocksPOATie extends GererStocksPOA {
  private siege.supermarche.GererStocksOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public GererStocksPOATie (final siege.supermarche.GererStocksOperations _delegate) {
    this._delegate = _delegate;
  }

  public GererStocksPOATie (final siege.supermarche.GererStocksOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public siege.supermarche.GererStocksOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final siege.supermarche.GererStocksOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   readonly attribute siege.supermarche.listeStocks listeS;
   * </pre>
   */
  public siege.supermarche.Stock[] listeS () {
    return this._delegate.listeS();
  }

  /**
   * <pre>
   *   void creer (in string codeBarre, in long qte)
    raises (siege.supermarche.GererStocksException);
   * </pre>
   */
  public void creer (java.lang.String codeBarre, 
                     int qte) throws  siege.supermarche.GererStocksException {
    this._delegate.creer(codeBarre, qte);
  }

  /**
   * <pre>
   *   void creerS (in siege.supermarche.Stock s)
    raises (siege.supermarche.GererStocksException);
   * </pre>
   */
  public void creerS (siege.supermarche.Stock s) throws  siege.supermarche.GererStocksException {
    this._delegate.creerS(s);
  }

  /**
   * <pre>
   *   void incrementer (in string codeBarre, in long qte)
    raises (siege.supermarche.GererStocksException);
   * </pre>
   */
  public void incrementer (java.lang.String codeBarre, 
                           int qte) throws  siege.supermarche.GererStocksException {
    this._delegate.incrementer(codeBarre, qte);
  }

  /**
   * <pre>
   *   void incrementerS (in siege.supermarche.Stock s)
    raises (siege.supermarche.GererStocksException);
   * </pre>
   */
  public void incrementerS (siege.supermarche.Stock s) throws  siege.supermarche.GererStocksException {
    this._delegate.incrementerS(s);
  }

  /**
   * <pre>
   *   void decrementer (in string codeBarre, in long qte)
    raises (siege.supermarche.GererStocksException);
   * </pre>
   */
  public void decrementer (java.lang.String codeBarre, 
                           int qte) throws  siege.supermarche.GererStocksException {
    this._delegate.decrementer(codeBarre, qte);
  }

  /**
   * <pre>
   *   void decrementerS (in siege.supermarche.Stock s)
    raises (siege.supermarche.GererStocksException);
   * </pre>
   */
  public void decrementerS (siege.supermarche.Stock s) throws  siege.supermarche.GererStocksException {
    this._delegate.decrementerS(s);
  }

  /**
   * <pre>
   *   siege.supermarche.Stock rechercher (in string codeBarre)
    raises (siege.supermarche.GererStocksException);
   * </pre>
   */
  public siege.supermarche.Stock rechercher (java.lang.String codeBarre) throws  siege.supermarche.GererStocksException {
    return this._delegate.rechercher(codeBarre);
  }

  /**
   * <pre>
   *   siege.supermarche.Stock rechercherS (in siege.supermarche.Stock s)
    raises (siege.supermarche.GererStocksException);
   * </pre>
   */
  public siege.supermarche.Stock rechercherS (siege.supermarche.Stock s) throws  siege.supermarche.GererStocksException {
    return this._delegate.rechercherS(s);
  }

}
