package gererstocks.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/gestionSupermarche/GererStocks/GererStocks/src/gererstocks/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::Agence
 * <li> <b>Repository Id</b> IDL:supermarche/Agence:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Agence {
  ...
};
 * </pre>
 */
public interface AgenceOperations {
  /**
   * <pre>
   *   readonly attribute string nomObjet;
   * </pre>
   */
  public java.lang.String nomObjet ();

  /**
   * <pre>
   *   readonly attribute gererstocks.supermarche.listeCaisses listeC;
   * </pre>
   */
  public gererstocks.supermarche.Caisse[] listeC ();

  /**
   * <pre>
   *   attribute double marge;
   * </pre>
   */
  public double marge ();

  /**
   * <pre>
   *   attribute double marge;
   * </pre>
   */
  public void marge (double marge);

  /**
   * <pre>
   *   attribute double TVA;
   * </pre>
   */
  public double TVA ();

  /**
   * <pre>
   *   attribute double TVA;
   * </pre>
   */
  public void TVA (double TVA);

  /**
   * <pre>
   *   gererstocks.supermarche.Produit recupererInfoProduit (in string codeBarre)
    raises (gererstocks.supermarche.AgenceException);
   * </pre>
   */
  public gererstocks.supermarche.Produit recupererInfoProduit (java.lang.String codeBarre) throws gererstocks.supermarche.AgenceException;

  /**
   * <pre>
   *   gererstocks.supermarche.Caisse creer (in string login, in string agence,
                                        in string loginCaissier)
    raises (gererstocks.supermarche.AgenceException);
   * </pre>
   */
  public gererstocks.supermarche.Caisse creer (java.lang.String login, 
                                               java.lang.String agence, 
                                               java.lang.String loginCaissier) throws gererstocks.supermarche.AgenceException;

  /**
   * <pre>
   *   void supprimer (in string login)
    raises (gererstocks.supermarche.AgenceException);
   * </pre>
   */
  public void supprimer (java.lang.String login) throws gererstocks.supermarche.AgenceException;

  /**
   * <pre>
   *   gererstocks.supermarche.Caisse rechercher (in string login)
    raises (gererstocks.supermarche.AgenceException);
   * </pre>
   */
  public gererstocks.supermarche.Caisse rechercher (java.lang.String login) throws gererstocks.supermarche.AgenceException;

}
