package gererstocks.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/gestionSupermarche/GererStocks/GererStocks/src/gererstocks/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::GererEmployes
 * <li> <b>Repository Id</b> IDL:supermarche/GererEmployes:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface GererEmployes {
  ...
};
 * </pre>
 */
public interface GererEmployesOperations {
  /**
   * <pre>
   *   readonly attribute gererstocks.supermarche.listeEmployes listeE;
   * </pre>
   */
  public gererstocks.supermarche.Employe[] listeE ();

  /**
   * <pre>
   *   void creer (in string login, in string password, in string droit)
    raises (gererstocks.supermarche.GererEmployesException);
   * </pre>
   */
  public void creer (java.lang.String login, 
                     java.lang.String password, 
                     java.lang.String droit) throws gererstocks.supermarche.GererEmployesException;

  /**
   * <pre>
   *   void creerE (in gererstocks.supermarche.Employe e)
    raises (gererstocks.supermarche.GererEmployesException);
   * </pre>
   */
  public void creerE (gererstocks.supermarche.Employe e) throws gererstocks.supermarche.GererEmployesException;

  /**
   * <pre>
   *   void modifier (in string login, in string password, in string droit)
    raises (gererstocks.supermarche.GererEmployesException);
   * </pre>
   */
  public void modifier (java.lang.String login, 
                        java.lang.String password, 
                        java.lang.String droit) throws gererstocks.supermarche.GererEmployesException;

  /**
   * <pre>
   *   void modifierE (in gererstocks.supermarche.Employe e)
    raises (gererstocks.supermarche.GererEmployesException);
   * </pre>
   */
  public void modifierE (gererstocks.supermarche.Employe e) throws gererstocks.supermarche.GererEmployesException;

  /**
   * <pre>
   *   void supprimer (in string login)
    raises (gererstocks.supermarche.GererEmployesException);
   * </pre>
   */
  public void supprimer (java.lang.String login) throws gererstocks.supermarche.GererEmployesException;

  /**
   * <pre>
   *   void supprimerE (in gererstocks.supermarche.Employe e)
    raises (gererstocks.supermarche.GererEmployesException);
   * </pre>
   */
  public void supprimerE (gererstocks.supermarche.Employe e) throws gererstocks.supermarche.GererEmployesException;

  /**
   * <pre>
   *   gererstocks.supermarche.Employe rechercher (in string login)
    raises (gererstocks.supermarche.GererEmployesException);
   * </pre>
   */
  public gererstocks.supermarche.Employe rechercher (java.lang.String login) throws gererstocks.supermarche.GererEmployesException;

  /**
   * <pre>
   *   gererstocks.supermarche.Employe rechercherE (in gererstocks.supermarche.Employe e)
    raises (gererstocks.supermarche.GererEmployesException);
   * </pre>
   */
  public gererstocks.supermarche.Employe rechercherE (gererstocks.supermarche.Employe e) throws gererstocks.supermarche.GererEmployesException;

}
