package gereraccesproduits.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/gestionSupermarche/gererAccesProduits/GererAccesProduits/src/gereraccesproduits/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::GererStocks
 * <li> <b>Repository Id</b> IDL:supermarche/GererStocks:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface GererStocks {
  ...
};
 * </pre>
 */
public interface GererStocksOperations {
  /**
   * <pre>
   *   readonly attribute gereraccesproduits.supermarche.listeStocks listeS;
   * </pre>
   */
  public gereraccesproduits.supermarche.Stock[] listeS ();

  /**
   * <pre>
   *   void creer (in string codeBarre, in long qte)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void creer (java.lang.String codeBarre, 
                     int qte) throws gereraccesproduits.supermarche.GererStocksException;

  /**
   * <pre>
   *   void creerS (in gereraccesproduits.supermarche.Stock s)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void creerS (gereraccesproduits.supermarche.Stock s) throws gereraccesproduits.supermarche.GererStocksException;

  /**
   * <pre>
   *   void incrementer (in string codeBarre, in long qte)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void incrementer (java.lang.String codeBarre, 
                           int qte) throws gereraccesproduits.supermarche.GererStocksException;

  /**
   * <pre>
   *   void incrementerS (in gereraccesproduits.supermarche.Stock s)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void incrementerS (gereraccesproduits.supermarche.Stock s) throws gereraccesproduits.supermarche.GererStocksException;

  /**
   * <pre>
   *   void decrementer (in string codeBarre, in long qte)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void decrementer (java.lang.String codeBarre, 
                           int qte) throws gereraccesproduits.supermarche.GererStocksException;

  /**
   * <pre>
   *   void decrementerS (in gereraccesproduits.supermarche.Stock s)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public void decrementerS (gereraccesproduits.supermarche.Stock s) throws gereraccesproduits.supermarche.GererStocksException;

  /**
   * <pre>
   *   gereraccesproduits.supermarche.Stock rechercher (in string codeBarre)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public gereraccesproduits.supermarche.Stock rechercher (java.lang.String codeBarre) throws gereraccesproduits.supermarche.GererStocksException;

  /**
   * <pre>
   *   gereraccesproduits.supermarche.Stock rechercherS (in gereraccesproduits.supermarche.Stock s)
    raises (gereraccesproduits.supermarche.GererStocksException);
   * </pre>
   */
  public gereraccesproduits.supermarche.Stock rechercherS (gereraccesproduits.supermarche.Stock s) throws gereraccesproduits.supermarche.GererStocksException;

}
