package gererproduits.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "D:/miage_dess/CORBA/gestionSupermarche/gererProduits/GererProduits/src/gererproduits/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::AccesProduits
 * <li> <b>Repository Id</b> IDL:supermarche/AccesProduits:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface AccesProduits {
  ...
};
 * </pre>
 */
public abstract class AccesProduitsPOA extends org.omg.PortableServer.Servant implements 
  org.omg.CORBA.portable.InvokeHandler, gererproduits.supermarche.AccesProduitsOperations {

  public gererproduits.supermarche.AccesProduits _this () {
   return gererproduits.supermarche.AccesProduitsHelper.narrow(super._this_object());
  }

  public gererproduits.supermarche.AccesProduits _this (org.omg.CORBA.ORB orb) {
    return gererproduits.supermarche.AccesProduitsHelper.narrow(super._this_object(orb));
  }

  public java.lang.String[] _all_interfaces (final org.omg.PortableServer.POA poa, final byte[] objectId) {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:supermarche/AccesProduits:1.0"
  };

  private static java.util.Dictionary _methods = new java.util.Hashtable();

  static {
    _methods.put("_get_nomObjet", new com.inprise.vbroker.CORBA.portable.MethodPointer(0, 0));
    _methods.put("rechercher", new com.inprise.vbroker.CORBA.portable.MethodPointer(0, 1));
    _methods.put("rechercherP", new com.inprise.vbroker.CORBA.portable.MethodPointer(0, 2));
  }

  public org.omg.CORBA.portable.OutputStream _invoke (java.lang.String opName,
                                                      org.omg.CORBA.portable.InputStream _input,
                                                      org.omg.CORBA.portable.ResponseHandler handler) {
    com.inprise.vbroker.CORBA.portable.MethodPointer method =
      (com.inprise.vbroker.CORBA.portable.MethodPointer) _methods.get(opName);
    if (method == null) {
      throw new org.omg.CORBA.BAD_OPERATION();
    }
    switch (method.interface_id) {
      case 0: {
        return gererproduits.supermarche.AccesProduitsPOA._invoke(this, method.method_id, _input, handler);
      }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }

  public static org.omg.CORBA.portable.OutputStream _invoke (gererproduits.supermarche.AccesProduitsOperations _self,
                                                             int _method_id,
                                                             org.omg.CORBA.portable.InputStream _input,
                                                             org.omg.CORBA.portable.ResponseHandler _handler) {
    org.omg.CORBA.portable.OutputStream _output = null;
    {
      switch (_method_id) {
      case 0: {
        java.lang.String _result = _self.nomObjet();
        _output = _handler.createReply();
        _output.write_string((java.lang.String)_result);
        return _output;
      }
      case 1: {
      try {
        java.lang.String codeBarre;
        codeBarre = _input.read_string();
        gererproduits.supermarche.Produit _result = _self.rechercher(codeBarre);
        _output = _handler.createReply();
        gererproduits.supermarche.ProduitHelper.write(_output, _result);
      }
      catch (gererproduits.supermarche.AccesProduitsException _exception) {
        _output = _handler.createExceptionReply();
        gererproduits.supermarche.AccesProduitsExceptionHelper.write(_output, _exception);
      }
        return _output;
      }
      case 2: {
      try {
        gererproduits.supermarche.Produit p;
        p = gererproduits.supermarche.ProduitHelper.read(_input);
        gererproduits.supermarche.Produit _result = _self.rechercherP(p);
        _output = _handler.createReply();
        gererproduits.supermarche.ProduitHelper.write(_output, _result);
      }
      catch (gererproduits.supermarche.AccesProduitsException _exception) {
        _output = _handler.createExceptionReply();
        gererproduits.supermarche.AccesProduitsExceptionHelper.write(_output, _exception);
      }
        return _output;
      }
      }
      throw new org.omg.CORBA.BAD_OPERATION();
    }
  }
}
