package gererproduits.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "D:/miage_dess/CORBA/gestionSupermarche/gererProduits/GererProduits/src/gererproduits/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::GererProduits
 * <li> <b>Repository Id</b> IDL:supermarche/GererProduits:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface GererProduits {
  ...
};
 * </pre>
 */
public class GererProduitsPOATie extends GererProduitsPOA {
  private gererproduits.supermarche.GererProduitsOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public GererProduitsPOATie (final gererproduits.supermarche.GererProduitsOperations _delegate) {
    this._delegate = _delegate;
  }

  public GererProduitsPOATie (final gererproduits.supermarche.GererProduitsOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public gererproduits.supermarche.GererProduitsOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final gererproduits.supermarche.GererProduitsOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   void creer (in string codeBarre, in string designation, in double prixHT)
    raises (gererproduits.supermarche.GererProduitsException);
   * </pre>
   */
  public void creer (java.lang.String codeBarre, 
                     java.lang.String designation, 
                     double prixHT) throws  gererproduits.supermarche.GererProduitsException {
    this._delegate.creer(codeBarre, designation, prixHT);
  }

  /**
   * <pre>
   *   void creerP (in gererproduits.supermarche.Produit p)
    raises (gererproduits.supermarche.GererProduitsException);
   * </pre>
   */
  public void creerP (gererproduits.supermarche.Produit p) throws  gererproduits.supermarche.GererProduitsException {
    this._delegate.creerP(p);
  }

  /**
   * <pre>
   *   void supprimer (in string codeBarre)
    raises (gererproduits.supermarche.GererProduitsException);
   * </pre>
   */
  public void supprimer (java.lang.String codeBarre) throws  gererproduits.supermarche.GererProduitsException {
    this._delegate.supprimer(codeBarre);
  }

  /**
   * <pre>
   *   void supprimerP (in gererproduits.supermarche.Produit p)
    raises (gererproduits.supermarche.GererProduitsException);
   * </pre>
   */
  public void supprimerP (gererproduits.supermarche.Produit p) throws  gererproduits.supermarche.GererProduitsException {
    this._delegate.supprimerP(p);
  }

  /**
   * <pre>
   *   void modifier (in string codeBarre, in string designation, in double prixHT)
    raises (gererproduits.supermarche.GererProduitsException);
   * </pre>
   */
  public void modifier (java.lang.String codeBarre, 
                        java.lang.String designation, 
                        double prixHT) throws  gererproduits.supermarche.GererProduitsException {
    this._delegate.modifier(codeBarre, designation, prixHT);
  }

  /**
   * <pre>
   *   void modifierP (in gererproduits.supermarche.Produit p)
    raises (gererproduits.supermarche.GererProduitsException);
   * </pre>
   */
  public void modifierP (gererproduits.supermarche.Produit p) throws  gererproduits.supermarche.GererProduitsException {
    this._delegate.modifierP(p);
  }

  /**
   * <pre>
   *   gererproduits.supermarche.Produit rechercher (in string codeBarre)
    raises (gererproduits.supermarche.GererProduitsException);
   * </pre>
   */
  public gererproduits.supermarche.Produit rechercher (java.lang.String codeBarre) throws  gererproduits.supermarche.GererProduitsException {
    return this._delegate.rechercher(codeBarre);
  }

  /**
   * <pre>
   *   gererproduits.supermarche.Produit rechercherP (in gererproduits.supermarche.Produit p)
    raises (gererproduits.supermarche.GererProduitsException);
   * </pre>
   */
  public gererproduits.supermarche.Produit rechercherP (gererproduits.supermarche.Produit p) throws  gererproduits.supermarche.GererProduitsException {
    return this._delegate.rechercherP(p);
  }

}
