package gestionsupermarche.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "D:/miage_dess/CORBA/gestionSupermarche/gestionSupermarche/src/gestionsupermarche/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::Agence
 * <li> <b>Repository Id</b> IDL:supermarche/Agence:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Agence {
  ...
};
 * </pre>
 */
public interface AgenceOperations {
  /**
   * <pre>
   *   readonly attribute string nomObjet;
   * </pre>
   */
  public java.lang.String nomObjet ();

  /**
   * <pre>
   *   readonly attribute gestionsupermarche.supermarche.listeCaisses listeC;
   * </pre>
   */
  public gestionsupermarche.supermarche.Caisse[] listeC ();

  /**
   * <pre>
   *   attribute double marge;
   * </pre>
   */
  public double marge ();

  /**
   * <pre>
   *   attribute double marge;
   * </pre>
   */
  public void marge (double marge);

  /**
   * <pre>
   *   attribute double TVA;
   * </pre>
   */
  public double TVA ();

  /**
   * <pre>
   *   attribute double TVA;
   * </pre>
   */
  public void TVA (double TVA);

  /**
   * <pre>
   *   gestionsupermarche.supermarche.Produit recupererInfoProduit (in string codeBarre)
    raises (gestionsupermarche.supermarche.AgenceException);
   * </pre>
   */
  public gestionsupermarche.supermarche.Produit recupererInfoProduit (java.lang.String codeBarre) throws gestionsupermarche.supermarche.AgenceException;

  /**
   * <pre>
   *   gestionsupermarche.supermarche.Caisse creer (in string login,
                                               in string agence,
                                               in string loginCaissier)
    raises (gestionsupermarche.supermarche.AgenceException);
   * </pre>
   */
  public gestionsupermarche.supermarche.Caisse creer (java.lang.String login, 
                                                      java.lang.String agence, 
                                                      java.lang.String loginCaissier) throws gestionsupermarche.supermarche.AgenceException;

  /**
   * <pre>
   *   void supprimer (in string login)
    raises (gestionsupermarche.supermarche.AgenceException);
   * </pre>
   */
  public void supprimer (java.lang.String login) throws gestionsupermarche.supermarche.AgenceException;

  /**
   * <pre>
   *   gestionsupermarche.supermarche.Caisse rechercher (in string login)
    raises (gestionsupermarche.supermarche.AgenceException);
   * </pre>
   */
  public gestionsupermarche.supermarche.Caisse rechercher (java.lang.String login) throws gestionsupermarche.supermarche.AgenceException;

}
