package ihm;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class BoiteDeDialogue extends JDialog implements ActionListener {

  JPanel cadreConteneur_ = new JPanel();
  JPanel cadreHaut_ = new JPanel();
  JPanel cadreBouton_ = new JPanel();
  JPanel cadreImage_ = new JPanel();
  JPanel cadreTexte_ = new JPanel();
  JButton bouttonOK_ = new JButton();
  JLabel image_ = new JLabel();
  ImageIcon imageIcone_;
  JLabel label1_ = new JLabel();
  JLabel label2_ = new JLabel();
  JLabel label3_ = new JLabel();
  JLabel label4_ = new JLabel();
  BorderLayout bordureConteneur_ = new BorderLayout();
  BorderLayout bordureHaut_ = new BorderLayout();
  FlowLayout flowLayout1_ = new FlowLayout();
  FlowLayout flowLayout2_ = new FlowLayout();
  GridLayout grilleImage_ = new GridLayout();
  String message1_="1";
  String message2_="2";
  String message3_="3";
  String message4_="4";
  String titreBoite_="5";
  String nomImageIcone_="";
  /**
   * Constructeur
   */
    public BoiteDeDialogue( Frame parent,
                            String message1,
                            String message2,
                            String message3,
                            String message4,
                            String titreBoite,
                            String nomImageIcone) {
    message1_ = new String(message1);
    message2_ = new String(message2);
    message3_ = new String(message3);
    message4_ = new String(message4);
    titreBoite_ = new String(titreBoite);
    nomImageIcone_ = new String(nomImageIcone);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    if(!nomImageIcone_.equals(""))
      image_.setIcon(imageIcone_);
    pack();
  }

  private void jbInit() throws Exception  {
    if(!nomImageIcone_.equals(""))
      imageIcone_ = new ImageIcon(getClass().getResource(nomImageIcone_));
    this.setTitle(titreBoite_);
    setResizable(false);
    cadreConteneur_.setLayout(bordureConteneur_);
    cadreHaut_.setLayout(bordureHaut_);
    cadreBouton_.setLayout(flowLayout1_);
    cadreImage_.setLayout(flowLayout1_);
    cadreImage_.setBorder(new EmptyBorder(10, 10, 10, 10));
    grilleImage_.setRows(4);
    grilleImage_.setColumns(1);
    label1_.setHorizontalAlignment(SwingConstants.CENTER);
    label1_.setText(message1_);
    label2_.setHorizontalAlignment(SwingConstants.CENTER);
    label2_.setText(message2_);
    label3_.setHorizontalAlignment(SwingConstants.CENTER);
    label3_.setText(message3_);
    label4_.setHorizontalAlignment(SwingConstants.CENTER);
    label4_.setText(message4_);
    cadreTexte_.setLayout(grilleImage_);
    cadreTexte_.setBorder(new EmptyBorder(10, 60, 10, 10));
    bouttonOK_.setMnemonic('O');
    bouttonOK_.setText("Ok");
    bouttonOK_.addActionListener(this);
    cadreImage_.add(image_, null);
    cadreHaut_.add(cadreImage_, BorderLayout.CENTER);
    this.getContentPane().add(cadreConteneur_, null);
    cadreHaut_.add(cadreTexte_, BorderLayout.NORTH);
    cadreTexte_.add(label1_, null);
    cadreTexte_.add(label2_, null);
    cadreTexte_.add(label3_, null);
    cadreTexte_.add(label4_, null);
    cadreBouton_.add(bouttonOK_, null);
    cadreConteneur_.add(cadreBouton_, BorderLayout.SOUTH);
    cadreConteneur_.add(cadreHaut_, BorderLayout.NORTH);
  }

  protected void processWindowEvent(WindowEvent e) {
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      cancel();
    }
    super.processWindowEvent(e);
  }

  void cancel() {
    dispose();
  }

  public void actionPerformed(ActionEvent e) {
    if (e.getSource() == bouttonOK_) {
      cancel();
    }
  }
}
