package gereremployes.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/gestionSupermarche/gererEmployes/GererEmployes/src/gereremployes/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::Agence
 * <li> <b>Repository Id</b> IDL:supermarche/Agence:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Agence {
  ...
};
 * </pre>
 */
public class AgencePOATie extends AgencePOA {
  private gereremployes.supermarche.AgenceOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public AgencePOATie (final gereremployes.supermarche.AgenceOperations _delegate) {
    this._delegate = _delegate;
  }

  public AgencePOATie (final gereremployes.supermarche.AgenceOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public gereremployes.supermarche.AgenceOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final gereremployes.supermarche.AgenceOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   readonly attribute string nomObjet;
   * </pre>
   */
  public java.lang.String nomObjet () {
    return this._delegate.nomObjet();
  }

  /**
   * <pre>
   *   readonly attribute gereremployes.supermarche.listeCaisses listeC;
   * </pre>
   */
  public gereremployes.supermarche.Caisse[] listeC () {
    return this._delegate.listeC();
  }

  /**
   * <pre>
   *   attribute double marge;
   * </pre>
   */
  public double marge () {
    return this._delegate.marge();
  }

  /**
   * <pre>
   *   attribute double marge;
   * </pre>
   */
  public void marge (double marge) {
    this._delegate.marge(marge);
  }

  /**
   * <pre>
   *   attribute double TVA;
   * </pre>
   */
  public double TVA () {
    return this._delegate.TVA();
  }

  /**
   * <pre>
   *   attribute double TVA;
   * </pre>
   */
  public void TVA (double TVA) {
    this._delegate.TVA(TVA);
  }

  /**
   * <pre>
   *   gereremployes.supermarche.Produit recupererInfoProduit (in string codeBarre)
    raises (gereremployes.supermarche.AgenceException);
   * </pre>
   */
  public gereremployes.supermarche.Produit recupererInfoProduit (java.lang.String codeBarre) throws  gereremployes.supermarche.AgenceException {
    return this._delegate.recupererInfoProduit(codeBarre);
  }

  /**
   * <pre>
   *   gereremployes.supermarche.Caisse creer (in string login, in string agence,
                                          in string loginCaissier)
    raises (gereremployes.supermarche.AgenceException);
   * </pre>
   */
  public gereremployes.supermarche.Caisse creer (java.lang.String login, 
                                                 java.lang.String agence, 
                                                 java.lang.String loginCaissier) throws  gereremployes.supermarche.AgenceException {
    return this._delegate.creer(login, agence, loginCaissier);
  }

  /**
   * <pre>
   *   void supprimer (in string login)
    raises (gereremployes.supermarche.AgenceException);
   * </pre>
   */
  public void supprimer (java.lang.String login) throws  gereremployes.supermarche.AgenceException {
    this._delegate.supprimer(login);
  }

  /**
   * <pre>
   *   gereremployes.supermarche.Caisse rechercher (in string login)
    raises (gereremployes.supermarche.AgenceException);
   * </pre>
   */
  public gereremployes.supermarche.Caisse rechercher (java.lang.String login) throws  gereremployes.supermarche.AgenceException {
    return this._delegate.rechercher(login);
  }

}
