package gereremployes.supermarche;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "C:/gestionSupermarche/gererEmployes/GererEmployes/src/gereremployes/supermarche.idl"
 * <li> <b>IDL Name</b>      ::supermarche::GererStocksAgences
 * <li> <b>Repository Id</b> IDL:supermarche/GererStocksAgences:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface GererStocksAgences {
  ...
};
 * </pre>
 */
public interface GererStocksAgencesOperations {
  /**
   * <pre>
   *   void creer (in string codeBarre, in long qte, in string agence)
    raises (gereremployes.supermarche.GererStocksAgencesException);
   * </pre>
   */
  public void creer (java.lang.String codeBarre, 
                     int qte, 
                     java.lang.String agence) throws gereremployes.supermarche.GererStocksAgencesException;

  /**
   * <pre>
   *   void creerS (in gereremployes.supermarche.Stock s, in string agence)
    raises (gereremployes.supermarche.GererStocksAgencesException);
   * </pre>
   */
  public void creerS (gereremployes.supermarche.Stock s, 
                      java.lang.String agence) throws gereremployes.supermarche.GererStocksAgencesException;

  /**
   * <pre>
   *   void incrementer (in string codeBarre, in long qte, in string agence)
    raises (gereremployes.supermarche.GererStocksAgencesException);
   * </pre>
   */
  public void incrementer (java.lang.String codeBarre, 
                           int qte, 
                           java.lang.String agence) throws gereremployes.supermarche.GererStocksAgencesException;

  /**
   * <pre>
   *   void incrementerS (in gereremployes.supermarche.Stock s, in string agence)
    raises (gereremployes.supermarche.GererStocksAgencesException);
   * </pre>
   */
  public void incrementerS (gereremployes.supermarche.Stock s, 
                            java.lang.String agence) throws gereremployes.supermarche.GererStocksAgencesException;

  /**
   * <pre>
   *   void decrementer (in string codeBarre, in long qte, in string agence)
    raises (gereremployes.supermarche.GererStocksAgencesException);
   * </pre>
   */
  public void decrementer (java.lang.String codeBarre, 
                           int qte, 
                           java.lang.String agence) throws gereremployes.supermarche.GererStocksAgencesException;

  /**
   * <pre>
   *   void decrementerS (in gereremployes.supermarche.Stock s, in string agence)
    raises (gereremployes.supermarche.GererStocksAgencesException);
   * </pre>
   */
  public void decrementerS (gereremployes.supermarche.Stock s, 
                            java.lang.String agence) throws gereremployes.supermarche.GererStocksAgencesException;

  /**
   * <pre>
   *   gereremployes.supermarche.Stock rechercher (in string codeBarre,
                                              in string agence)
    raises (gereremployes.supermarche.GererStocksAgencesException);
   * </pre>
   */
  public gereremployes.supermarche.Stock rechercher (java.lang.String codeBarre, 
                                                     java.lang.String agence) throws gereremployes.supermarche.GererStocksAgencesException;

  /**
   * <pre>
   *   gereremployes.supermarche.Stock rechercherS (in gereremployes.supermarche.Stock s,
                                               in string agence)
    raises (gereremployes.supermarche.GererStocksAgencesException);
   * </pre>
   */
  public gereremployes.supermarche.Stock rechercherS (gereremployes.supermarche.Stock s, 
                                                      java.lang.String agence) throws gereremployes.supermarche.GererStocksAgencesException;

}
